<?php

class Personel extends CI_Controller {

    public function __construct()
    {
        parent::__construct();

        $this->load->model("personel_model");
    }

    public function index(){


        $list = $this->personel_model->get_all();

        $viewData["list"] = $list;

        $this->load->view("personel_liste", $viewData);

    }

    public function insert_form(){

        $this->load->view("personel_ekle");

    }

    public function insert(){

        $personel_ad = $this->input->post("personel_ad");
        $email       = $this->input->post("email");
        $telefon     = $this->input->post("telefon");
        $departman   = $this->input->post("departman");
        $adres       = $this->input->post("adres");
        $img         = $_FILES["img_id"]["name"];

        if($personel_ad && $email && $telefon && $departman && $adres && $img){

            $config["upload_path"]   = "uploads/";
            $config["allowed_types"] = "gif|jpg|png";

            $this->load->library("upload", $config);

            if($this->upload->do_upload("img_id")){

                $img_id = $this->upload->data("file_name");

                $data = array(
                    "personel_ad"   => $personel_ad,
                    "email"         => $email,
                    "telefon"       => $telefon,
                    "departman"     => $departman,
                    "adres"         => $adres,
                    "img_id"        => $img_id
                );

                $insert = $this->personel_model->insert($data);

                if($insert){

                    $alert = array(
                        "title"     => "İşlem Başarılıdır",
                        "message"   => "Ekleme İşlemi Başarılıdır..",
                        "type"      => "success"
                    );

                }else{

                    $alert = array(
                        "title"     => "İşlem Başarısızdır!!",
                        "message"   => "Ekleme İşlemi Başarısızdır..",
                        "type"      => "danger"
                    );

                }

            }else{

                // resim yüklenirken bir problem olustu...

                $alert = array(
                    "title"     => "İşlem Başarısızdır!!",
                    "message"   => "Resim yüklenirken bir problem olustu..",
                    "type"      => "danger"
                );

            }


        }else{

            // Lütfen Resim Seçimi Yapınız...

            $alert = array(
                "title"     => "İşlem Başarısızdır!!",
                "message"   => "Lütfen boş alan bırakmayınız..",
                "type"      => "danger"
            );

        }

        $this->session->set_flashdata("alert", $alert);

        redirect(base_url("personel"));

    }

    public function update_form($id){


        $where = array("id" => $id);

        $personel = $this->personel_model->get($where);

        $viewData["personel"]  = $personel;

        $this->load->view("personel_duzenle", $viewData);

    }

    public function update($id){

        $img = $_FILES["img_id"]["name"];

        if($img){

            $config["upload_path"]   = "uploads/";
            $config["allowed_types"] = "gif|jpg|png";

            $this->load->library("upload", $config);

            $upload = $this->upload->do_upload("img_id");

            if($upload){

                $data = array(
                    "personel_ad"   => $this->input->post("personel_ad"),
                    "email"         => $this->input->post("email"),
                    "telefon"       => $this->input->post("telefon"),
                    "departman"     => $this->input->post("departman"),
                    "adres"         => $this->input->post("adres"),
                    "img_id"        => $this->upload->data("file_name")
                );

            }else{

                // Upload işlemi sırasında bir problem oluştu...

                $alert = array(
                    "title"     => "İşlem Başarısızdır!!",
                    "message"   => "Upload işlemi sırasında bir problem oluştu...",
                    "type"      => "danger"
                );


            }


        }else{

            // Resim Yüklenmemiş..

            $data = array(
                "personel_ad"   => $this->input->post("personel_ad"),
                "email"         => $this->input->post("email"),
                "telefon"       => $this->input->post("telefon"),
                "departman"     => $this->input->post("departman"),
                "adres"         => $this->input->post("adres")
            );

        }

        $where = array(
            "id"    => $id
        );

        $update = $this->personel_model->update($where, $data);

        if($update){

            $alert = array(
                "title"     => "İşlem Başarılıdır!!",
                "message"   => "Güncelleme İşlemi Başarılıdır",
                "type"      => "success"
            );

        }else{

            $alert = array(
                "title"     => "İşlem Başarısızdır!!",
                "message"   => "Güncelleme İşlemi Başarısızdır.",
                "type"      => "danger"
            );
        }

     $this->session->set_flashdata("alert", $alert);

        redirect(base_url("personel"));

    }

    public function delete($id){

        $where = array(
            "id"    => $id
        );

        $delete = $this->personel_model->delete($where);

        if($delete){

            $alert = array(
                "title"     => "İşlem Başarılıdır!!",
                "message"   => "Silme İşlemi Başarılıdır",
                "type"      => "success"
            );

        }else{

            $alert = array(
                "title"     => "İşlem Başarısızdır!!",
                "message"   => "Silme İşlemi Başarısızdır.",
                "type"      => "danger"
            );
        }

        $this->session->set_flashdata("alert", $alert);

        redirect(base_url("personel"));

    }

    public function order($field = "id", $order = "ASC"){


        $list =  $this->personel_model->order_by($field, $order);

        $viewData["list"] = $list;

        $this->load->view("personel_liste", $viewData);

    }


}
